Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting
Class ConnectionNotifier

    java.lang.Object
      org.jboss.remoting.ConnectionNotifier

    public class ConnectionNotifier

extends java.lang.Object

This class is used on the server side to notify any connection listeners when a client connection has been terminated (either by loss of lease or by normal disconnect).

Author:
  Tom Elrod

Constructor Summary
`ConnectionNotifier()`

Method Summary
`void` | `addListener(ConnectionListener listener)`
`void` | `addListenerFirst(ConnectionListener listener)`
`void` | `connectionLost(java.lang.String locatorurl, java.lang.String clientSessionId, java.util.Map requestPayload)`
`void` | `connectionTerminated(java.lang.String locatorURL, java.lang.String clientSessionId, java.util.Map requestPayload)`
`void` | `removeListener(ConnectionListener listener)`
`int` | `size()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConnectionNotifier

    public ConnectionNotifier()

Method Detail

### addListener

    public void addListener(ConnectionListener listener)

### addListenerFirst

    public void addListenerFirst(ConnectionListener listener)

### removeListener

    public void removeListener(ConnectionListener listener)

### size

    public int size()

### connectionLost

    public void connectionLost(java.lang.String locatorurl,
                               java.lang.String clientSessionId,
                               java.util.Map requestPayload)

### connectionTerminated

    public void connectionTerminated(java.lang.String locatorURL,
                                     java.lang.String clientSessionId,
                                     java.util.Map requestPayload)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 1998-2005 JBoss Inc . All Rights Reserved.